Search messages
curl --request GET \
--url https://api.ando.so/v1/search/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/search/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/search/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
]
}
Search messages
Searches messages in conversations accessible to the authenticated API key.
GET
https://api.ando.so/v1
/
search
/
messages
Search messages
curl --request GET \
--url https://api.ando.so/v1/search/messages \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/search/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/search/messages"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"id": "msg_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_id": "conv_01jzn7e61x3a7v9h2r7t2m3q4p",
"conversation_name": "Launch planning",
"author_id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"author_name": "Alex Kim",
"content": "Validated the route migration.",
"image_urls": [],
"replies_count": 1,
"created_at": "2026-05-14T08:00:00.000Z",
"authorWorkspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p"
}
]
}
Authorizations
AndoApiKeyBearerApiKey
Query Parameters
Response
Message search results.
Search messages response. Results are returned in data.items; top-level items is a compatibility alias.